.p-dashboard {
    @media screen and (min-width: $md-screen-xs + 1) {
        .fixed-page-header + .page-dashboard {
            padding-left: 10px;
            padding-right: 10px;
        }
    }
    
    @media screen and (max-width: $md-screen-xs) {
        .page {
            padding-right: 16px;
            padding-left: 16px;
        }
    }
    @media screen and (max-width: $screen-phone) {
        .page {
            padding: $header_height 20px 0;
        }
        .grid-stack.grid-stack-one-column-mode {
            margin-bottom: 0 !important;

            > .grid-stack-item {
                margin-bottom: 0;
                .panel {
                    box-shadow: none;
                    border: 0;
                    border-bottom: 2px solid $main_container_bg;
                }
                &:last-of-type {
                    .panel {
                        border-bottom: 0;
                    }
                }
            }
        }
    }
}
.page-dashboard {
    h3 {
        font-size: 22px;
        font-weight: normal;
        line-height: 1;
        margin: 0 0 30px;
    }

    .sm-charts {
        margin: 0 auto;
    }

    .box-stats {
        text-align: center;
        padding-top: 20px;
        padding-bottom: 20px;
        &.no-border {
            .box-num {
                border: 0;
            }
        }
        .box-desc {
            font-size: $font-size-small;
            line-height: 26px;
            color: $skin-gray-dark;
            text-transform: uppercase;
        }
        .box-num {
            font-size: 42px;
            line-height: 80px;
            font-weight: 300;
            @media screen and (min-width: $screen-sm-min) {
                border-right: 2px solid $skin-gray;
            }
        }
    }

    .metrics {
        margin-bottom: 55px;

        .metric {
            display: block;
            margin-bottom: 10px;
            font-size: 26px;
            color: $brand-primary;
        }

        .metric-info {
            text-transform: uppercase;
            font-size: 16px;
            color: #aaa;
        }
    }

    .progressbar-container {
        margin-bottom: 25px;
    }

    //
    .panel-box {
        position: relative;
        border-radius: $border-radius-large;

        .panel-top,
        .panel-bottom {
            height: 100px;
            padding: 30px 15px;
            font-size: 40px;
            line-height: 1;
            .material-icons {
                font-size: 40px;
            }
        }

        .panel-bottom {
            border-top: 1px solid #dfdfdf;
        }

        .panel-info {
            position: absolute;
            width: 100%;
            top: 50%;
            margin-top: -12px;
            text-align: center;

            span {
                height: 24px;
                display: inline-block;
                padding: 4px 10px;
                text-transform: uppercase;
                line-height: 14px;
                background-color: $white;
                border: 1px solid #dfdfdf;
                font-size: 11px;
                color: $text-muted;
                border-radius: 1em;
            }
        }

        .bg-light {
            background-color: #f9f9f9;
        }
    }

}

.dashboard {
    &__widgets-wrapper {
        @media screen and (max-width: $md-screen-xs) {
            margin-right: -10px;
            margin-left: -10px;    
        }
        &_widget-no-data {
            position: absolute;
            top: 0;
            left: 0;
            height: 100%;
            width: 100%;
            text-align: center;
            z-index: 0;

            &_icon, &_text {
                position: relative;
                transform: translateY(-50%);
            }

            &_icon {
                top: 50%;
                md-icon {
                    height: 77px;
                    width: 77px;
                    color: rgba(#011627, 0.1);
                }
            }
            &_text {
                top: calc(50% - 22px);
                color: rgba(#011627, 0.1);
                font-size: 16px;
                line-height: 16px;
                font-weight: 500;
                letter-spacing: normal;
            }
        }

    }
}
